Search Gradle plugins

Version 1.4.0 (latest)

Created 10 December 2019.

Generate Typescript declarations for Kotlin modules

Using the plugins DSL:

plugins {
  id "net.akehurst.kotlin.kt2ts" version "1.4.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "net.akehurst.kotlin.kt2ts:kt2ts-plugin:1.4.0"
  }
}

apply plugin: "net.akehurst.kotlin.kt2ts"

Using the plugins DSL:

plugins {
  id("net.akehurst.kotlin.kt2ts") version "1.4.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("net.akehurst.kotlin.kt2ts:kt2ts-plugin:1.4.0")
  }
}

apply(plugin = "net.akehurst.kotlin.kt2ts")

Learn how to apply plugins to subprojects